diff --git a/lib/vtls/schannel.c b/lib/vtls/schannel.c
index b2e926563829..5807ed7e28c0 100644
--- a/lib/vtls/schannel.c
+++ b/lib/vtls/schannel.c
@@ -65,6 +65,7 @@
    shipped with Visual Studio 2013, aka _MSC_VER 1800*/
 #if defined(_MSC_VER) && (_MSC_VER >= 1800) && !defined(_USING_V110_SDK71_)
 #  define HAS_ALPN 1
+#  include <VersionHelpers.h>
 #endif
 
 /* Uncomment to force verbose output
@@ -95,6 +96,13 @@ static void InitSecBufferDesc(SecBufferDesc *desc, SecBuffer *BufArr,
   desc->cBuffers = NumArrElem;
 }
 
+static inline bool alpn_supported()
+{
+  /* ALPN support has been added to schannel in Windows 8.1
+     https://technet.microsoft.com/en-us/library/hh831771%28v=ws.11%29.aspx */
+  return IsWindows8Point1OrGreater();
+}
+
 static CURLcode
 schannel_connect_step1(struct connectdata *conn, int sockindex)
 {
@@ -231,7 +239,7 @@ schannel_connect_step1(struct connectdata *conn, int sockindex)
   }
 
 #ifdef HAS_ALPN
-  if(conn->bits.tls_enable_alpn) {
+  if(conn->bits.tls_enable_alpn && alpn_supported()) {
     int cur = 0;
     int list_start_index = 0;
     unsigned int* extension_len = NULL;
@@ -630,7 +638,7 @@ schannel_connect_step3(struct connectdata *conn, int sockindex)
   }
 
 #ifdef HAS_ALPN
-  if(conn->bits.tls_enable_alpn) {
+  if(conn->bits.tls_enable_alpn && alpn_supported()) {
     sspi_status = s_pSecFn->QueryContextAttributes(&connssl->ctxt->ctxt_handle,
       SECPKG_ATTR_APPLICATION_PROTOCOL, &alpn_result);
 
